# Google Maps Photos API

Here is the list of default parameters for this API :&#x20;

|                            Parameters                           |                                                                                      Description                                                                                      |
| :-------------------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> |                                                                                 This is your API key.                                                                                 |
| <p>data\_id<br><br><mark style="color:red;">required</mark></p> |              <p>Type: String<br><br>It is the Google Maps data ID. You can get this by entering the location name as the query in our <a href="">Google Maps API</a>.</p>             |
|                                hl                               |                                    <p>Type: <code>String</code><br><br>Default: <code>"en\_us"</code><br>The language of the requested results.</p>                                   |
|                           category\_id                          | <p>Type: <code>String</code><br><br>This parameter specifies the category's unique identifier, which can be obtained from the categories array using our Google Maps Photos API. </p> |
|                        next\_page\_token                        |                                         <p>Type: <code>String</code><br></p><p>The next\_page\_token is used to get the next page results.</p>                                        |

### API Example:

{% tabs %}
{% tab title="cURL" %}

```json
cURL "https://api.serpdog.io/maps_photos?api_key=APIKEY&data_id=0x88371272500ebf33:0x70a094fd98fb45c0"
```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

axios.get('https://api.serpdog.io/maps_photos?api_key=APIKEY&data_id=0x88371272500ebf33:0x70a094fd98fb45c0')
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
payload = {'api_key': 'APIKEY', 'data_id': '0x88371272500ebf33:0x70a094fd98fb45c0'}
resp = requests.get('https://api.serpdog.io/maps_photos', params=payload)
print (resp.text)
```

{% endtab %}

{% tab title="Java" %}

```java
try {
 String url = "https://api.serpdog.io/maps_photos?api_key=APIKEY&data_id=0x88371272500ebf33:0x70a094fd98fb45c0";
 URL urlForGetRequest = new URL(url);
 String readLine = null;
 HttpURLConnection conection = (HttpURLConnection) urlForGetRequest.openConnection();
 conection.setRequestMethod("GET");
 int responseCode = conection.getResponseCode();
 if (responseCode == HttpURLConnection.HTTP_OK) {
 BufferedReader in = new BufferedReader(new InputStreamReader(conection.getInputStream()));
 StringBuffer response = new StringBuffer();
 while ((readLine = in.readLine()) != null) {
 response.append(readLine);
 }
 in.close();
 System.out.println(response.toString());
} else {
 throw new Exception("Error in API Call");
 }
} catch (Exception ex) {
 ex.printStackTrace();
}
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'
params = {
 :api_key => "APIKEY",
 :data_id => "0x88371272500ebf33:0x70a094fd98fb45c0"
}
uri = URI('https://api.serpdog.io/maps_photos')
uri.query = URI.encode_www_form(params)
website_content = Net::HTTP.get(uri)
print(website_content)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$url = "https://api.serpdog.io/maps_photos?api_key=APIKEY&data_id=0x88371272500ebf33:0x70a094fd98fb45c0";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_HEADER, FALSE);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
$response = curl_exec($ch);
curl_close($ch);
print_r($response);
```

{% endtab %}
{% endtabs %}

```json
{
  "categories": [
    {
      "name": "All",
      "id": "CgIgAQ=="
    },
    {
      "name": "Exterior",
      "id": "CgIYEw=="
    },
    {
      "name": "Videos",
      "id": "CgIgARICCAQ="
    },
    {
      "name": "Inside",
      "id": "CgIYEg=="
    },
    {
      "name": "House",
      "id": "CgwKCC9tLzAzam01MAE="
    },
    {
      "name": "Roof shingle",
      "id": "Cg0KCS9tLzA3cXkyZzAB"
    },
    {
      "name": "By owner",
      "id": "CgIgARICEAE="
    }
  ],
  "photos": [
    "https://lh5.googleusercontent.com/p/AF1QipPuISB_emFHS4wHahX13S5TjUwxyuOTUts7Ic6c=w203-h114-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipMc0OhhDPbDh2u9N7rK0_2RVk5P-oBizKIbYSyL=w203-h360-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipPgFaZpWJz12I9UCwhMsobfPZ7JammS-OAoV_IT=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipM7DLtIAul4-Y2Kkwo-FUHJr-QNtJdd_EA81fXP=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipOTd0e7cNgJ2ToFq37V6vOM8SNRD4mzPXIHOsPV=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipNIPuRjkSZp2eCtIwVvJ3GnpxpXYW-dG3iMCgYS=w203-h146-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipM4sZu01cH-4MmAYOnP6c3AMcb_2Q5gvABqTzId=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipMJZX1h6BwkMjYxi9RCn4L9b0ke1ii2EC3xtb7h=w203-h360-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipNtUC6POTo_DzsvUHda9tz667xq-PE9oxwZl5kz=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipPOD0F0PD4dcoWuhQhGH-WMfYb4C-7lY2Z-q8aL=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipPf-WhOS9QkmK3fpjlX7MA4b2a-lD1TI1_AdJPw=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipOrm1s_BX0CbrwoDZXDRklBL2elUNKWKZSM9Snx=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipPFMO7lSrnxETy2sUHc6dH3zqdnMxzAY0WCK_Ww=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipNvdbJns-Y5rG36uDybnGD43EUNufZAwqdHp8UB=w203-h360-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipP7jRK949QsWo4IYSq7BL23qBN5r7ck4IpzOnsq=w203-h135-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipMi25zNuiZBrTzUaEDgOaaoynrBZm3X_rmvhwis=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipOx8oA6WUZUUsnTrvN6Xz52--jPGGYpvZa-K2Id=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipMEcdOSEbNPEu8nPoSUbBGKO3_ZVdT8EMCOpOw=w203-h114-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipOYEpAIaqDj88VoWuzsh1GN6nHkYRlyJ5B09Y1V=w203-h152-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipPrXrj_5LDrQB7VHOMVrz82n686NDdjBgPl_JGu=w203-h360-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipN8f6ZAbl0NdiQREiHlvbX5zG0StLn2kALQ00Nj=w203-h360-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipNbddOit3JsPF4PlRApLzHQo3klIZKPBuAFrQqq=w203-h270-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipNysSnvytivcOGeaWQyNHhW26s3fMQ2wjP70HBn=w203-h114-k-no",
    "https://lh5.googleusercontent.com/p/AF1QipMaP3H3mMFtimcPkiIA85-fi3NWnBHo8wS-Vy5k=w203-h114-k-no"
  ],
  "serpdog_pagination": {
    "next": "https://api.serpdog.io/maps_photos?api_key=APIKEY&data_id=0x88371272500ebf33:0x70a094fd98fb45c0&hl=en&next_page_token=EvgDKYQi49-NlUMIDwAAAAEAAAMAAAAAAAAAEFAAAAAAAAAAAAIAAAEAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAQIAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAgAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAACAAAAAAAAAAAAAAAIAAAAABAQAAAEBAAAAAAAAAAAAAAAAgAAAAAAAAAAABAACEAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAQAAAAAAAAAAAAIAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAQQAAAAAAAAAAAAAAABABGAQAAAAAAAAAAAAAAAAgAAAAAAAAAAgAAAAAAAAAAAQAAAAAAAAAAAAgAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAABAAAAAABAAAAAAAAAAAAAAAAAAAAAABIAAAAAAAACAAAAABAAAAAAAAQAAAAAAAACAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAgAAAAAAACAAIgAIEAAAAAAgAAAAAAAAAAAGBRCVCmEIuPfjZVD6AEAACAAAAADAAAAIAAEAEAACQAAABdQAAAECAAKQKgAArEABAAQABEAAAQADAPAEgEAABBAQBAgwQAAIAqABACIAAIAQCBAAAAAAA",
    "next_page_token": "EvgDKYQi49-NlUMIDwAAAAEAAAMAAAAAAAAAEFAAAAAAAAAAAAIAAAEAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAQIAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAgAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAACAAAAAAAAAAAAAAAIAAAAABAQAAAEBAAAAAAAAAAAAAAAAgAAAAAAAAAAABAACEAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAQAAAAAAAAAAAAIAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAQQAAAAAAAAAAAAAAABABGAQAAAAAAAAAAAAAAAAgAAAAAAAAAAgAAAAAAAAAAAQAAAAAAAAAAAAgAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAABAAAAAABAAAAAAAAAAAAAAAAAAAAAABIAAAAAAAACAAAAABAAAAAAAAQAAAAAAAACAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAgAAAAAAACAAIgAIEAAAAAAgAAAAAAAAAAAGBRCVCmEIuPfjZVD6AEAACAAAAADAAAAIAAEAEAACQAAABdQAAAECAAKQKgAArEABAAQABEAAAQADAPAEgEAABBAQBAgwQAAIAqABACIAAIAQCBAAAAAAA"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.serpdog.io/google-maps-api/google-maps-photos-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
